Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fc0d:b000::/20
First address
fc0d:b000::
Last address
fc0d:bfff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fc0d:b000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
b.d.0.c.f.ip6.arpa
Split into smaller subnets/28

fc0d:b000::/20 makes 256 subnets of /28.

Subnets
#SubnetLast address
1fc0d:b000::/28fc0d:b00f:ffff:ffff:ffff:ffff:ffff:ffff
2fc0d:b010::/28fc0d:b01f:ffff:ffff:ffff:ffff:ffff:ffff
3fc0d:b020::/28fc0d:b02f:ffff:ffff:ffff:ffff:ffff:ffff
4fc0d:b030::/28fc0d:b03f:ffff:ffff:ffff:ffff:ffff:ffff
5fc0d:b040::/28fc0d:b04f:ffff:ffff:ffff:ffff:ffff:ffff
6fc0d:b050::/28fc0d:b05f:ffff:ffff:ffff:ffff:ffff:ffff
7fc0d:b060::/28fc0d:b06f:ffff:ffff:ffff:ffff:ffff:ffff
8fc0d:b070::/28fc0d:b07f:ffff:ffff:ffff:ffff:ffff:ffff
9fc0d:b080::/28fc0d:b08f:ffff:ffff:ffff:ffff:ffff:ffff
10fc0d:b090::/28fc0d:b09f:ffff:ffff:ffff:ffff:ffff:ffff
11fc0d:b0a0::/28fc0d:b0af:ffff:ffff:ffff:ffff:ffff:ffff
12fc0d:b0b0::/28fc0d:b0bf:ffff:ffff:ffff:ffff:ffff:ffff
13fc0d:b0c0::/28fc0d:b0cf:ffff:ffff:ffff:ffff:ffff:ffff
14fc0d:b0d0::/28fc0d:b0df:ffff:ffff:ffff:ffff:ffff:ffff
15fc0d:b0e0::/28fc0d:b0ef:ffff:ffff:ffff:ffff:ffff:ffff
16fc0d:b0f0::/28fc0d:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
17fc0d:b100::/28fc0d:b10f:ffff:ffff:ffff:ffff:ffff:ffff
18fc0d:b110::/28fc0d:b11f:ffff:ffff:ffff:ffff:ffff:ffff
19fc0d:b120::/28fc0d:b12f:ffff:ffff:ffff:ffff:ffff:ffff
20fc0d:b130::/28fc0d:b13f:ffff:ffff:ffff:ffff:ffff:ffff
21fc0d:b140::/28fc0d:b14f:ffff:ffff:ffff:ffff:ffff:ffff
22fc0d:b150::/28fc0d:b15f:ffff:ffff:ffff:ffff:ffff:ffff
23fc0d:b160::/28fc0d:b16f:ffff:ffff:ffff:ffff:ffff:ffff
24fc0d:b170::/28fc0d:b17f:ffff:ffff:ffff:ffff:ffff:ffff
25fc0d:b180::/28fc0d:b18f:ffff:ffff:ffff:ffff:ffff:ffff
26fc0d:b190::/28fc0d:b19f:ffff:ffff:ffff:ffff:ffff:ffff
27fc0d:b1a0::/28fc0d:b1af:ffff:ffff:ffff:ffff:ffff:ffff
28fc0d:b1b0::/28fc0d:b1bf:ffff:ffff:ffff:ffff:ffff:ffff
29fc0d:b1c0::/28fc0d:b1cf:ffff:ffff:ffff:ffff:ffff:ffff
30fc0d:b1d0::/28fc0d:b1df:ffff:ffff:ffff:ffff:ffff:ffff
31fc0d:b1e0::/28fc0d:b1ef:ffff:ffff:ffff:ffff:ffff:ffff
32fc0d:b1f0::/28fc0d:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
33fc0d:b200::/28fc0d:b20f:ffff:ffff:ffff:ffff:ffff:ffff
34fc0d:b210::/28fc0d:b21f:ffff:ffff:ffff:ffff:ffff:ffff
35fc0d:b220::/28fc0d:b22f:ffff:ffff:ffff:ffff:ffff:ffff
36fc0d:b230::/28fc0d:b23f:ffff:ffff:ffff:ffff:ffff:ffff
37fc0d:b240::/28fc0d:b24f:ffff:ffff:ffff:ffff:ffff:ffff
38fc0d:b250::/28fc0d:b25f:ffff:ffff:ffff:ffff:ffff:ffff
39fc0d:b260::/28fc0d:b26f:ffff:ffff:ffff:ffff:ffff:ffff
40fc0d:b270::/28fc0d:b27f:ffff:ffff:ffff:ffff:ffff:ffff
41fc0d:b280::/28fc0d:b28f:ffff:ffff:ffff:ffff:ffff:ffff
42fc0d:b290::/28fc0d:b29f:ffff:ffff:ffff:ffff:ffff:ffff
43fc0d:b2a0::/28fc0d:b2af:ffff:ffff:ffff:ffff:ffff:ffff
44fc0d:b2b0::/28fc0d:b2bf:ffff:ffff:ffff:ffff:ffff:ffff
45fc0d:b2c0::/28fc0d:b2cf:ffff:ffff:ffff:ffff:ffff:ffff
46fc0d:b2d0::/28fc0d:b2df:ffff:ffff:ffff:ffff:ffff:ffff
47fc0d:b2e0::/28fc0d:b2ef:ffff:ffff:ffff:ffff:ffff:ffff
48fc0d:b2f0::/28fc0d:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
49fc0d:b300::/28fc0d:b30f:ffff:ffff:ffff:ffff:ffff:ffff
50fc0d:b310::/28fc0d:b31f:ffff:ffff:ffff:ffff:ffff:ffff
51fc0d:b320::/28fc0d:b32f:ffff:ffff:ffff:ffff:ffff:ffff
52fc0d:b330::/28fc0d:b33f:ffff:ffff:ffff:ffff:ffff:ffff
53fc0d:b340::/28fc0d:b34f:ffff:ffff:ffff:ffff:ffff:ffff
54fc0d:b350::/28fc0d:b35f:ffff:ffff:ffff:ffff:ffff:ffff
55fc0d:b360::/28fc0d:b36f:ffff:ffff:ffff:ffff:ffff:ffff
56fc0d:b370::/28fc0d:b37f:ffff:ffff:ffff:ffff:ffff:ffff
57fc0d:b380::/28fc0d:b38f:ffff:ffff:ffff:ffff:ffff:ffff
58fc0d:b390::/28fc0d:b39f:ffff:ffff:ffff:ffff:ffff:ffff
59fc0d:b3a0::/28fc0d:b3af:ffff:ffff:ffff:ffff:ffff:ffff
60fc0d:b3b0::/28fc0d:b3bf:ffff:ffff:ffff:ffff:ffff:ffff
61fc0d:b3c0::/28fc0d:b3cf:ffff:ffff:ffff:ffff:ffff:ffff
62fc0d:b3d0::/28fc0d:b3df:ffff:ffff:ffff:ffff:ffff:ffff
63fc0d:b3e0::/28fc0d:b3ef:ffff:ffff:ffff:ffff:ffff:ffff
64fc0d:b3f0::/28fc0d:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
65fc0d:b400::/28fc0d:b40f:ffff:ffff:ffff:ffff:ffff:ffff
66fc0d:b410::/28fc0d:b41f:ffff:ffff:ffff:ffff:ffff:ffff
67fc0d:b420::/28fc0d:b42f:ffff:ffff:ffff:ffff:ffff:ffff
68fc0d:b430::/28fc0d:b43f:ffff:ffff:ffff:ffff:ffff:ffff
69fc0d:b440::/28fc0d:b44f:ffff:ffff:ffff:ffff:ffff:ffff
70fc0d:b450::/28fc0d:b45f:ffff:ffff:ffff:ffff:ffff:ffff
71fc0d:b460::/28fc0d:b46f:ffff:ffff:ffff:ffff:ffff:ffff
72fc0d:b470::/28fc0d:b47f:ffff:ffff:ffff:ffff:ffff:ffff
73fc0d:b480::/28fc0d:b48f:ffff:ffff:ffff:ffff:ffff:ffff
74fc0d:b490::/28fc0d:b49f:ffff:ffff:ffff:ffff:ffff:ffff
75fc0d:b4a0::/28fc0d:b4af:ffff:ffff:ffff:ffff:ffff:ffff
76fc0d:b4b0::/28fc0d:b4bf:ffff:ffff:ffff:ffff:ffff:ffff
77fc0d:b4c0::/28fc0d:b4cf:ffff:ffff:ffff:ffff:ffff:ffff
78fc0d:b4d0::/28fc0d:b4df:ffff:ffff:ffff:ffff:ffff:ffff
79fc0d:b4e0::/28fc0d:b4ef:ffff:ffff:ffff:ffff:ffff:ffff
80fc0d:b4f0::/28fc0d:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
81fc0d:b500::/28fc0d:b50f:ffff:ffff:ffff:ffff:ffff:ffff
82fc0d:b510::/28fc0d:b51f:ffff:ffff:ffff:ffff:ffff:ffff
83fc0d:b520::/28fc0d:b52f:ffff:ffff:ffff:ffff:ffff:ffff
84fc0d:b530::/28fc0d:b53f:ffff:ffff:ffff:ffff:ffff:ffff
85fc0d:b540::/28fc0d:b54f:ffff:ffff:ffff:ffff:ffff:ffff
86fc0d:b550::/28fc0d:b55f:ffff:ffff:ffff:ffff:ffff:ffff
87fc0d:b560::/28fc0d:b56f:ffff:ffff:ffff:ffff:ffff:ffff
88fc0d:b570::/28fc0d:b57f:ffff:ffff:ffff:ffff:ffff:ffff
89fc0d:b580::/28fc0d:b58f:ffff:ffff:ffff:ffff:ffff:ffff
90fc0d:b590::/28fc0d:b59f:ffff:ffff:ffff:ffff:ffff:ffff
91fc0d:b5a0::/28fc0d:b5af:ffff:ffff:ffff:ffff:ffff:ffff
92fc0d:b5b0::/28fc0d:b5bf:ffff:ffff:ffff:ffff:ffff:ffff
93fc0d:b5c0::/28fc0d:b5cf:ffff:ffff:ffff:ffff:ffff:ffff
94fc0d:b5d0::/28fc0d:b5df:ffff:ffff:ffff:ffff:ffff:ffff
95fc0d:b5e0::/28fc0d:b5ef:ffff:ffff:ffff:ffff:ffff:ffff
96fc0d:b5f0::/28fc0d:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
97fc0d:b600::/28fc0d:b60f:ffff:ffff:ffff:ffff:ffff:ffff
98fc0d:b610::/28fc0d:b61f:ffff:ffff:ffff:ffff:ffff:ffff
99fc0d:b620::/28fc0d:b62f:ffff:ffff:ffff:ffff:ffff:ffff
100fc0d:b630::/28fc0d:b63f:ffff:ffff:ffff:ffff:ffff:ffff
101fc0d:b640::/28fc0d:b64f:ffff:ffff:ffff:ffff:ffff:ffff
102fc0d:b650::/28fc0d:b65f:ffff:ffff:ffff:ffff:ffff:ffff
103fc0d:b660::/28fc0d:b66f:ffff:ffff:ffff:ffff:ffff:ffff
104fc0d:b670::/28fc0d:b67f:ffff:ffff:ffff:ffff:ffff:ffff
105fc0d:b680::/28fc0d:b68f:ffff:ffff:ffff:ffff:ffff:ffff
106fc0d:b690::/28fc0d:b69f:ffff:ffff:ffff:ffff:ffff:ffff
107fc0d:b6a0::/28fc0d:b6af:ffff:ffff:ffff:ffff:ffff:ffff
108fc0d:b6b0::/28fc0d:b6bf:ffff:ffff:ffff:ffff:ffff:ffff
109fc0d:b6c0::/28fc0d:b6cf:ffff:ffff:ffff:ffff:ffff:ffff
110fc0d:b6d0::/28fc0d:b6df:ffff:ffff:ffff:ffff:ffff:ffff
111fc0d:b6e0::/28fc0d:b6ef:ffff:ffff:ffff:ffff:ffff:ffff
112fc0d:b6f0::/28fc0d:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
113fc0d:b700::/28fc0d:b70f:ffff:ffff:ffff:ffff:ffff:ffff
114fc0d:b710::/28fc0d:b71f:ffff:ffff:ffff:ffff:ffff:ffff
115fc0d:b720::/28fc0d:b72f:ffff:ffff:ffff:ffff:ffff:ffff
116fc0d:b730::/28fc0d:b73f:ffff:ffff:ffff:ffff:ffff:ffff
117fc0d:b740::/28fc0d:b74f:ffff:ffff:ffff:ffff:ffff:ffff
118fc0d:b750::/28fc0d:b75f:ffff:ffff:ffff:ffff:ffff:ffff
119fc0d:b760::/28fc0d:b76f:ffff:ffff:ffff:ffff:ffff:ffff
120fc0d:b770::/28fc0d:b77f:ffff:ffff:ffff:ffff:ffff:ffff
121fc0d:b780::/28fc0d:b78f:ffff:ffff:ffff:ffff:ffff:ffff
122fc0d:b790::/28fc0d:b79f:ffff:ffff:ffff:ffff:ffff:ffff
123fc0d:b7a0::/28fc0d:b7af:ffff:ffff:ffff:ffff:ffff:ffff
124fc0d:b7b0::/28fc0d:b7bf:ffff:ffff:ffff:ffff:ffff:ffff
125fc0d:b7c0::/28fc0d:b7cf:ffff:ffff:ffff:ffff:ffff:ffff
126fc0d:b7d0::/28fc0d:b7df:ffff:ffff:ffff:ffff:ffff:ffff
127fc0d:b7e0::/28fc0d:b7ef:ffff:ffff:ffff:ffff:ffff:ffff
128fc0d:b7f0::/28fc0d:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
129fc0d:b800::/28fc0d:b80f:ffff:ffff:ffff:ffff:ffff:ffff
130fc0d:b810::/28fc0d:b81f:ffff:ffff:ffff:ffff:ffff:ffff
131fc0d:b820::/28fc0d:b82f:ffff:ffff:ffff:ffff:ffff:ffff
132fc0d:b830::/28fc0d:b83f:ffff:ffff:ffff:ffff:ffff:ffff
133fc0d:b840::/28fc0d:b84f:ffff:ffff:ffff:ffff:ffff:ffff
134fc0d:b850::/28fc0d:b85f:ffff:ffff:ffff:ffff:ffff:ffff
135fc0d:b860::/28fc0d:b86f:ffff:ffff:ffff:ffff:ffff:ffff
136fc0d:b870::/28fc0d:b87f:ffff:ffff:ffff:ffff:ffff:ffff
137fc0d:b880::/28fc0d:b88f:ffff:ffff:ffff:ffff:ffff:ffff
138fc0d:b890::/28fc0d:b89f:ffff:ffff:ffff:ffff:ffff:ffff
139fc0d:b8a0::/28fc0d:b8af:ffff:ffff:ffff:ffff:ffff:ffff
140fc0d:b8b0::/28fc0d:b8bf:ffff:ffff:ffff:ffff:ffff:ffff
141fc0d:b8c0::/28fc0d:b8cf:ffff:ffff:ffff:ffff:ffff:ffff
142fc0d:b8d0::/28fc0d:b8df:ffff:ffff:ffff:ffff:ffff:ffff
143fc0d:b8e0::/28fc0d:b8ef:ffff:ffff:ffff:ffff:ffff:ffff
144fc0d:b8f0::/28fc0d:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
145fc0d:b900::/28fc0d:b90f:ffff:ffff:ffff:ffff:ffff:ffff
146fc0d:b910::/28fc0d:b91f:ffff:ffff:ffff:ffff:ffff:ffff
147fc0d:b920::/28fc0d:b92f:ffff:ffff:ffff:ffff:ffff:ffff
148fc0d:b930::/28fc0d:b93f:ffff:ffff:ffff:ffff:ffff:ffff
149fc0d:b940::/28fc0d:b94f:ffff:ffff:ffff:ffff:ffff:ffff
150fc0d:b950::/28fc0d:b95f:ffff:ffff:ffff:ffff:ffff:ffff
151fc0d:b960::/28fc0d:b96f:ffff:ffff:ffff:ffff:ffff:ffff
152fc0d:b970::/28fc0d:b97f:ffff:ffff:ffff:ffff:ffff:ffff
153fc0d:b980::/28fc0d:b98f:ffff:ffff:ffff:ffff:ffff:ffff
154fc0d:b990::/28fc0d:b99f:ffff:ffff:ffff:ffff:ffff:ffff
155fc0d:b9a0::/28fc0d:b9af:ffff:ffff:ffff:ffff:ffff:ffff
156fc0d:b9b0::/28fc0d:b9bf:ffff:ffff:ffff:ffff:ffff:ffff
157fc0d:b9c0::/28fc0d:b9cf:ffff:ffff:ffff:ffff:ffff:ffff
158fc0d:b9d0::/28fc0d:b9df:ffff:ffff:ffff:ffff:ffff:ffff
159fc0d:b9e0::/28fc0d:b9ef:ffff:ffff:ffff:ffff:ffff:ffff
160fc0d:b9f0::/28fc0d:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
161fc0d:ba00::/28fc0d:ba0f:ffff:ffff:ffff:ffff:ffff:ffff
162fc0d:ba10::/28fc0d:ba1f:ffff:ffff:ffff:ffff:ffff:ffff
163fc0d:ba20::/28fc0d:ba2f:ffff:ffff:ffff:ffff:ffff:ffff
164fc0d:ba30::/28fc0d:ba3f:ffff:ffff:ffff:ffff:ffff:ffff
165fc0d:ba40::/28fc0d:ba4f:ffff:ffff:ffff:ffff:ffff:ffff
166fc0d:ba50::/28fc0d:ba5f:ffff:ffff:ffff:ffff:ffff:ffff
167fc0d:ba60::/28fc0d:ba6f:ffff:ffff:ffff:ffff:ffff:ffff
168fc0d:ba70::/28fc0d:ba7f:ffff:ffff:ffff:ffff:ffff:ffff
169fc0d:ba80::/28fc0d:ba8f:ffff:ffff:ffff:ffff:ffff:ffff
170fc0d:ba90::/28fc0d:ba9f:ffff:ffff:ffff:ffff:ffff:ffff
171fc0d:baa0::/28fc0d:baaf:ffff:ffff:ffff:ffff:ffff:ffff
172fc0d:bab0::/28fc0d:babf:ffff:ffff:ffff:ffff:ffff:ffff
173fc0d:bac0::/28fc0d:bacf:ffff:ffff:ffff:ffff:ffff:ffff
174fc0d:bad0::/28fc0d:badf:ffff:ffff:ffff:ffff:ffff:ffff
175fc0d:bae0::/28fc0d:baef:ffff:ffff:ffff:ffff:ffff:ffff
176fc0d:baf0::/28fc0d:baff:ffff:ffff:ffff:ffff:ffff:ffff
177fc0d:bb00::/28fc0d:bb0f:ffff:ffff:ffff:ffff:ffff:ffff
178fc0d:bb10::/28fc0d:bb1f:ffff:ffff:ffff:ffff:ffff:ffff
179fc0d:bb20::/28fc0d:bb2f:ffff:ffff:ffff:ffff:ffff:ffff
180fc0d:bb30::/28fc0d:bb3f:ffff:ffff:ffff:ffff:ffff:ffff
181fc0d:bb40::/28fc0d:bb4f:ffff:ffff:ffff:ffff:ffff:ffff
182fc0d:bb50::/28fc0d:bb5f:ffff:ffff:ffff:ffff:ffff:ffff
183fc0d:bb60::/28fc0d:bb6f:ffff:ffff:ffff:ffff:ffff:ffff
184fc0d:bb70::/28fc0d:bb7f:ffff:ffff:ffff:ffff:ffff:ffff
185fc0d:bb80::/28fc0d:bb8f:ffff:ffff:ffff:ffff:ffff:ffff
186fc0d:bb90::/28fc0d:bb9f:ffff:ffff:ffff:ffff:ffff:ffff
187fc0d:bba0::/28fc0d:bbaf:ffff:ffff:ffff:ffff:ffff:ffff
188fc0d:bbb0::/28fc0d:bbbf:ffff:ffff:ffff:ffff:ffff:ffff
189fc0d:bbc0::/28fc0d:bbcf:ffff:ffff:ffff:ffff:ffff:ffff
190fc0d:bbd0::/28fc0d:bbdf:ffff:ffff:ffff:ffff:ffff:ffff
191fc0d:bbe0::/28fc0d:bbef:ffff:ffff:ffff:ffff:ffff:ffff
192fc0d:bbf0::/28fc0d:bbff:ffff:ffff:ffff:ffff:ffff:ffff
193fc0d:bc00::/28fc0d:bc0f:ffff:ffff:ffff:ffff:ffff:ffff
194fc0d:bc10::/28fc0d:bc1f:ffff:ffff:ffff:ffff:ffff:ffff
195fc0d:bc20::/28fc0d:bc2f:ffff:ffff:ffff:ffff:ffff:ffff
196fc0d:bc30::/28fc0d:bc3f:ffff:ffff:ffff:ffff:ffff:ffff
197fc0d:bc40::/28fc0d:bc4f:ffff:ffff:ffff:ffff:ffff:ffff
198fc0d:bc50::/28fc0d:bc5f:ffff:ffff:ffff:ffff:ffff:ffff
199fc0d:bc60::/28fc0d:bc6f:ffff:ffff:ffff:ffff:ffff:ffff
200fc0d:bc70::/28fc0d:bc7f:ffff:ffff:ffff:ffff:ffff:ffff
201fc0d:bc80::/28fc0d:bc8f:ffff:ffff:ffff:ffff:ffff:ffff
202fc0d:bc90::/28fc0d:bc9f:ffff:ffff:ffff:ffff:ffff:ffff
203fc0d:bca0::/28fc0d:bcaf:ffff:ffff:ffff:ffff:ffff:ffff
204fc0d:bcb0::/28fc0d:bcbf:ffff:ffff:ffff:ffff:ffff:ffff
205fc0d:bcc0::/28fc0d:bccf:ffff:ffff:ffff:ffff:ffff:ffff
206fc0d:bcd0::/28fc0d:bcdf:ffff:ffff:ffff:ffff:ffff:ffff
207fc0d:bce0::/28fc0d:bcef:ffff:ffff:ffff:ffff:ffff:ffff
208fc0d:bcf0::/28fc0d:bcff:ffff:ffff:ffff:ffff:ffff:ffff
209fc0d:bd00::/28fc0d:bd0f:ffff:ffff:ffff:ffff:ffff:ffff
210fc0d:bd10::/28fc0d:bd1f:ffff:ffff:ffff:ffff:ffff:ffff
211fc0d:bd20::/28fc0d:bd2f:ffff:ffff:ffff:ffff:ffff:ffff
212fc0d:bd30::/28fc0d:bd3f:ffff:ffff:ffff:ffff:ffff:ffff
213fc0d:bd40::/28fc0d:bd4f:ffff:ffff:ffff:ffff:ffff:ffff
214fc0d:bd50::/28fc0d:bd5f:ffff:ffff:ffff:ffff:ffff:ffff
215fc0d:bd60::/28fc0d:bd6f:ffff:ffff:ffff:ffff:ffff:ffff
216fc0d:bd70::/28fc0d:bd7f:ffff:ffff:ffff:ffff:ffff:ffff
217fc0d:bd80::/28fc0d:bd8f:ffff:ffff:ffff:ffff:ffff:ffff
218fc0d:bd90::/28fc0d:bd9f:ffff:ffff:ffff:ffff:ffff:ffff
219fc0d:bda0::/28fc0d:bdaf:ffff:ffff:ffff:ffff:ffff:ffff
220fc0d:bdb0::/28fc0d:bdbf:ffff:ffff:ffff:ffff:ffff:ffff
221fc0d:bdc0::/28fc0d:bdcf:ffff:ffff:ffff:ffff:ffff:ffff
222fc0d:bdd0::/28fc0d:bddf:ffff:ffff:ffff:ffff:ffff:ffff
223fc0d:bde0::/28fc0d:bdef:ffff:ffff:ffff:ffff:ffff:ffff
224fc0d:bdf0::/28fc0d:bdff:ffff:ffff:ffff:ffff:ffff:ffff
225fc0d:be00::/28fc0d:be0f:ffff:ffff:ffff:ffff:ffff:ffff
226fc0d:be10::/28fc0d:be1f:ffff:ffff:ffff:ffff:ffff:ffff
227fc0d:be20::/28fc0d:be2f:ffff:ffff:ffff:ffff:ffff:ffff
228fc0d:be30::/28fc0d:be3f:ffff:ffff:ffff:ffff:ffff:ffff
229fc0d:be40::/28fc0d:be4f:ffff:ffff:ffff:ffff:ffff:ffff
230fc0d:be50::/28fc0d:be5f:ffff:ffff:ffff:ffff:ffff:ffff
231fc0d:be60::/28fc0d:be6f:ffff:ffff:ffff:ffff:ffff:ffff
232fc0d:be70::/28fc0d:be7f:ffff:ffff:ffff:ffff:ffff:ffff
233fc0d:be80::/28fc0d:be8f:ffff:ffff:ffff:ffff:ffff:ffff
234fc0d:be90::/28fc0d:be9f:ffff:ffff:ffff:ffff:ffff:ffff
235fc0d:bea0::/28fc0d:beaf:ffff:ffff:ffff:ffff:ffff:ffff
236fc0d:beb0::/28fc0d:bebf:ffff:ffff:ffff:ffff:ffff:ffff
237fc0d:bec0::/28fc0d:becf:ffff:ffff:ffff:ffff:ffff:ffff
238fc0d:bed0::/28fc0d:bedf:ffff:ffff:ffff:ffff:ffff:ffff
239fc0d:bee0::/28fc0d:beef:ffff:ffff:ffff:ffff:ffff:ffff
240fc0d:bef0::/28fc0d:beff:ffff:ffff:ffff:ffff:ffff:ffff
241fc0d:bf00::/28fc0d:bf0f:ffff:ffff:ffff:ffff:ffff:ffff
242fc0d:bf10::/28fc0d:bf1f:ffff:ffff:ffff:ffff:ffff:ffff
243fc0d:bf20::/28fc0d:bf2f:ffff:ffff:ffff:ffff:ffff:ffff
244fc0d:bf30::/28fc0d:bf3f:ffff:ffff:ffff:ffff:ffff:ffff
245fc0d:bf40::/28fc0d:bf4f:ffff:ffff:ffff:ffff:ffff:ffff
246fc0d:bf50::/28fc0d:bf5f:ffff:ffff:ffff:ffff:ffff:ffff
247fc0d:bf60::/28fc0d:bf6f:ffff:ffff:ffff:ffff:ffff:ffff
248fc0d:bf70::/28fc0d:bf7f:ffff:ffff:ffff:ffff:ffff:ffff
249fc0d:bf80::/28fc0d:bf8f:ffff:ffff:ffff:ffff:ffff:ffff
250fc0d:bf90::/28fc0d:bf9f:ffff:ffff:ffff:ffff:ffff:ffff
251fc0d:bfa0::/28fc0d:bfaf:ffff:ffff:ffff:ffff:ffff:ffff
252fc0d:bfb0::/28fc0d:bfbf:ffff:ffff:ffff:ffff:ffff:ffff
253fc0d:bfc0::/28fc0d:bfcf:ffff:ffff:ffff:ffff:ffff:ffff
254fc0d:bfd0::/28fc0d:bfdf:ffff:ffff:ffff:ffff:ffff:ffff
255fc0d:bfe0::/28fc0d:bfef:ffff:ffff:ffff:ffff:ffff:ffff
256fc0d:bff0::/28fc0d:bfff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses